# Uses of Interface
com.github.lgooddatepicker.optionalusertools.CalendarListener

Packages that use CalendarListener
Package
Description
com.github.lgooddatepicker.components

## Uses of CalendarListener in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return types with arguments of type CalendarListener
Modifier and Type
Method
Description
`ArrayList<CalendarListener>`
CalendarPanel.`getCalendarListeners()`
getCalendarListeners, This returns a new ArrayList, that contains any calendar listeners that are registered with this CalendarPanel.
Methods in com.github.lgooddatepicker.components with parameters of type CalendarListener
Modifier and Type
Method
Description
`void`
CalendarPanel.`addCalendarListener(CalendarListener listener)`
addCalendarListener, This adds a calendar listener to this calendar panel.
`void`
CalendarPanel.`removeCalendarListener(CalendarListener listener)`
removeCalendarListener, This removes the specified calendar listener from this CalendarPanel.